# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

#### Public Classes

* [`lam`](#lam): Setup LDAP Account Manager (LAM)

#### Private Classes

* `lam::install`: Download and extract the distribution archive

## Classes

### `lam`

Setup LDAP Account Manager (LAM)

#### Parameters

The following parameters are available in the `lam` class.

##### `datadir`

Data type: `Stdlib::Compat::Absolute_path`

Specifies the directory where LAM should store its configuration
and other persistent data. A symlink is created in `$installroot`
that points to this directory. It should exist outside of `$installroot`.

##### `edition`

Data type: `Enum['oss', 'pro']`

The edition of LAM that should be installed.

##### `group`

Data type: `String`

The name of the group that is used by the webserver process.

##### `installroot`

Data type: `Stdlib::Compat::Absolute_path`

Specifies the base directory where LAM should be installed. A new
subdirectory for each version will be created.

##### `mirror`

Data type: `Variant[Stdlib::HTTPUrl,Stdlib::HTTPSUrl]`

Specifies the base URL where the distribution archive can be downloaded.
Useful when providing a local mirror for the Pro edition.

##### `user`

Data type: `String`

The name of the user that is used by the webserver process.

##### `version`

Data type: `String`

Specifies the version of LAM that should be installed.

##### `manage_symlink`

Data type: `Boolean`



##### `path`

Data type: `String`



##### `symlink_name`

Data type: `String`



